dofile("script/layouts/entrance_hall.lua")
dofile("script/shifts/intermission3_5_animations.lua")

levelDesc.name = "Intermission 3.5 -> 4.1"
levelDesc.layoutId = 3
levelDesc.areaId = 0
levelDesc.levelId = 350
levelDesc.musicMood = "1"
levelDesc.isGamePlayLevel = false
levelDesc.autoStartShift = false
levelDesc.hideGUI = true

function levelDesc:onShiftStartBegin()
	self.timerActive = false
	self:shiftStartEnd() -- Start shift without start shift dialog.
end

function levelDesc:handleTrigger(trigger, meta)
	CareLevel.handleTrigger(self, trigger, meta)
	if (trigger == "trophy23") then
	    player.trophyManager:awardTrophy(23,1)
	elseif (trigger == "end intermission35") then
	    taskSystem:createAnimation("postShift")
	end
	 if (trigger == "end intermission352") then
		self:onLevelEndContinue()
	end
end
